Bug 490297

Summary: tigervnc can't connect to startech kvm right.
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: atkac, ovasik, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:08:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kevin Fenzi 2009-03-14 18:33:51 EDT
I have a startech kvm here that supports vnc connection. 

tightvnc-1.2.9 in the past worked with this device by passing -bgr233 option. 

Adding this patch: 

diff -Nur tigervnc-0.0.90-20090303svn3631.orig/unix/vncviewer/CConn.cxx tigervnc-0.0.90-20090303svn3631/unix/vncviewer/CConn.cxx
--- tigervnc-0.0.90-20090303svn3631.orig/unix/vncviewer/CConn.cxx	2009-03-13 11:26:40.000000000 -0600
+++ tigervnc-0.0.90-20090303svn3631/unix/vncviewer/CConn.cxx	2009-03-13 11:27:49.000000000 -0600
@@ -771,7 +771,7 @@
       else if (lowColourLevel == 1)
         desktop->setPF(PixelFormat(8,6,0,1,3,3,3,4,2,0));
       else
-        desktop->setPF(PixelFormat(8,8,0,0));
+        desktop->setPF(PixelFormat(8,8,0,1,7,7,3,0,3,6));
     }
     char str[256];
     desktop->getPF().print(str, 256);

Gets tigervnc connecting to the device with bgr233 ok, but the screen draws very very slowly, and then the application quits with 'rect too big'. 

Adding this patch to comment out that error: 

diff -Nur tigervnc-0.0.90-20090303svn3631.orig/common/rfb/CMsgReader.cxx tigervnc-0.0.90-20090303svn3631/common/rfb/CMsgReader.cxx
--- tigervnc-0.0.90-20090303svn3631.orig/common/rfb/CMsgReader.cxx	2009-02-13 05:42:05.000000000 -0700
+++ tigervnc-0.0.90-20090303svn3631/common/rfb/CMsgReader.cxx	2009-03-13 12:07:51.000000000 -0600
@@ -84,12 +84,12 @@
 
 void CMsgReader::readRect(const Rect& r, unsigned int encoding)
 {
-  if ((r.br.x > handler->cp.width) || (r.br.y > handler->cp.height)) {
-    fprintf(stderr, "Rect too big: %dx%d at %d,%d exceeds %dx%d\n",
-	    r.width(), r.height(), r.tl.x, r.tl.y,
-            handler->cp.width, handler->cp.height);
-    throw Exception("Rect too big");
-  }
+//  if ((r.br.x > handler->cp.width) || (r.br.y > handler->cp.height)) {
+//    fprintf(stderr, "Rect too big: %dx%d at %d,%d exceeds %dx%d\n",
+//	    r.width(), r.height(), r.tl.x, r.tl.y,
+//            handler->cp.width, handler->cp.height);
+//    throw Exception("Rect too big");
+//  }
 
   if (r.is_empty())
     fprintf(stderr, "Warning: zero size rect\n");

Keeps the application running, but the connection is very very slow and input doesn't seem to work, ie I can't select anything with the mouse or keyboard. The screen does not redraw correctly on refresh either. 

With the first patch: 

Fri Mar 13 11:52:36 2009
 CConnection: Server supports RFB protocol version 3.3
 CConnection: Using RFB protocol version 3.3
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 8 (8bpp) bgr233
 CConn:       Using Tight encoding
Rect too big: 1600x16 at 0,400 exceeds 1024x800

Fri Mar 13 11:53:08 2009
 main:        Rect too big

Happy to provide more debugging or info. I would love to get this fixed. ;)
Comment 1 Kevin Fenzi 2009-03-17 21:24:24 EDT
So, the plot thickens. 

I was playing around this evening and enabled composite on my laptop. 
Then, I happened to try tigervnc again. 
It worked. 

It's not super fast, but it worked with the bgr patch above. ;) 

So, I think at least part of my problems were from the kms intel driver in rawhide, not tigervnc at all. :( 

The bgr patch is still needed however, so it would be great if you could get that in upstream.
Comment 2 Bug Zapper 2009-06-09 08:14:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kevin Fenzi 2009-06-11 00:09:22 EDT
Any news here?

I am still using the patch to comment out the 'rect too big' error. 
Happy to test further.
Comment 4 Adam Tkac 2009-06-17 08:45:51 EDT
Unfortunately this problem is not easy to solve. Upstream still doesn't find the "right way" how to deal with this.
Comment 5 Kevin Fenzi 2009-06-17 14:50:27 EDT
ok. If there is any further info I can provide, please let me know...
Comment 6 Kevin Fenzi 2009-08-30 15:42:12 EDT
Just tried 1.0.0 from rawhide, and the same thing happens there... 

TigerVNC Viewer for X version 1.0.0 - built Aug 28 2009 07:36:22
Copyright (C) 2002-2005 RealVNC Ltd.
Copyright (C) 2000-2006 TightVNC Group
Copyright (C) 2004-2009 Peter Astrand for Cendio AB
See http://www.tigervnc.org for information on TigerVNC.

Sun Aug 30 13:41:03 2009
 CConn:       connected to host localhost port 5599
 CConnection: Server supports RFB protocol version 3.3
 CConnection: Using RFB protocol version 3.3
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 8 (8bpp) color-map
 CConn:       Using raw encoding
Rect too big: 1600x16 at 0,400 exceeds 1024x800

Sun Aug 30 13:41:05 2009
 main:        Rect too big
Comment 7 Bug Zapper 2010-04-27 09:11:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kevin Fenzi 2010-04-27 11:49:21 EDT
This still occurs with the current version in F13. :(
Comment 9 Bug Zapper 2011-06-02 14:12:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Kevin Fenzi 2011-06-02 14:18:37 EDT
I no longer have access to this hardware, so I can't debug further. ;(
Comment 11 Bug Zapper 2011-06-27 10:08:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.